# online_server_facts – Gather facts about Online servers

New in version 2.8.

- DEPRECATED

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.13

Why

  Deprecated in favour of `_info` module.

Alternative

  Use online_server_info instead.

## Synopsis

- Gather facts about the servers.

- https://www.online.net/en/dedicated-server

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Online API in seconds. aliases: timeout
api_token string |  | Online OAuth token. aliases: oauth_token
api_url string | Default: "https://api.online.net" | Online API URL aliases: base_url

validate_certs
boolean

Choices:
- no
- yes ←

Validate SSL certs of the Online API.

## Notes

Note

- Also see the API documentation on https://console.online.net/en/api/

- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `ONLINE_TOKEN`, `ONLINE_API_KEY`, `ONLINE_OAUTH_TOKEN`, `ONLINE_API_TOKEN`

- If one wants to use a different `api_url` one can also set the `ONLINE_API_URL` environment variable.

## Examples

    - name: Gather Online server facts
      online_server_facts:
        api_token: '0d1627e8-bbf0-44c5-a46f-5c4d3aef033f'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

online_server_facts
complex

success

Response from Online API
Sample:
{'online_server_facts': [{'abuse': 'abuse@example.com', 'anti_ddos': False, 'bmc': {'session_key': None}, 'boot_mode': 'normal', 'contacts': {'owner': 'foobar', 'tech': 'foobar'}, 'disks': [{'$ref': '/api/v1/server/hardware/disk/68452'}, {'$ref': '/api/v1/server/hardware/disk/68453'}], 'drive_arrays': [{'disks': [{'$ref': '/api/v1/server/hardware/disk/68452'}, {'$ref': '/api/v1/server/hardware/disk/68453'}], 'raid_controller': {'$ref': '/api/v1/server/hardware/raidController/9910'}, 'raid_level': 'RAID1'}], 'hardware_watch': True, 'hostname': 'sd-42', 'id': 42, 'ip': [{'address': '195.154.172.149', 'mac': '28:92:4a:33:5e:c6', 'reverse': '195-154-172-149.rev.poneytelecom.eu.', 'switch_port_state': 'up', 'type': 'public'}, {'address': '10.90.53.212', 'mac': '28:92:4a:33:5e:c7', 'reverse': None, 'switch_port_state': 'up', 'type': 'private'}], 'last_reboot': '2018-08-23T08:32:03.000Z', 'location': {'block': 'A', 'datacenter': 'DC3', 'position': 19, 'rack': 'A23', 'room': '4 4-4'}, 'network': {'ip': ['195.154.172.149'], 'ipfo': [], 'private': ['10.90.53.212']}, 'offer': 'Pro-1-S-SATA', 'os': {'name': 'FreeBSD', 'version': '11.1-RELEASE'}, 'power': 'ON', 'proactive_monitoring': False, 'raid_controllers': [{'$ref': '/api/v1/server/hardware/raidController/9910'}], 'support': 'Basic service level'}]}

## Status

- This module will be removed in version 2.13. [deprecated]

- For more information see DEPRECATED.

### Authors

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.